﻿.menu-btn {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 1000;
    width: 50px;
    height: 50px;
    background-color: #14346c;
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 24px;
    border:0px !important;
}

.curtain-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #6ba17c;
    color: white;
    z-index: 1000;
    padding: 60px 20px;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: baseline;
    overflow-y: auto;
    /* ANIMATION */
    opacity: 0;
    pointer-events: none;
    transform: translateY(-100%);
    transition: opacity 0.6s ease, transform 0.6s ease;
}

    /* When menu is active */
    .curtain-menu.active {
        opacity: 1;
        transform: translateY(0);
        pointer-events: auto;
    }

.close-btn {
    position: absolute;
    top: 0px;
    right: 40px;
    font-size: 58px;
    cursor: pointer;
    color: white;
    z-index: 100000;
}

.menu-content {
    display: block;
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 600px;
}

.menu-section {
    margin-bottom: 8px;
    margin-top: 0 10px;
    text-align: center;
}

    .menu-section h3 {
        font-size: 1.7rem;
        font-weight: 400;
        margin: 0 0 10px;
        padding: 0;
        text-align:left;
        border: none;
        cursor: pointer;
        color: #fff;
    }

.menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: none;
}

.menu-item {
    margin-bottom: 6px;
    padding: 0px 0;
}

.menu-link {
    color: white;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 300;
    display: block;
    text-align:left;
}

    .menu-link:hover {
        color: #fff;
        font-weight:bold;
        text-shadow: 0 0 30px #fff;
    }

    .menu-link:visited {
        color: #fff;
    }

    .menu-link:active {
        color: #fff;
    }
@media screen and (min-width: 768px) {
    .curtain-menu {
        padding: 60px 40px;
        align-items: center;
    }
    .menu-btn {
        background-color: #fff;
        color: #6ba17c;
        border: 0px !important;
    }
    .menu-content {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        max-width: 1400px;
        margin: 0 auto;
    }

    .menu-section {
        flex: auto;
        padding: 0 20px;
        border-right: 1px solid #fff;
        border-bottom: none;
    }

        .menu-section:last-child {
            border-right: none;
        }

        .menu-section h3 {
            font-size: 2rem;
            margin-bottom: 1rem;
            padding-bottom: 1rem;
            border-bottom: 1px solid #fff;
            cursor: default;
        }

    .menu-list {
        display: block !important;
    }

    .menu-item {
        margin-bottom: 1rem;
        padding: 1px 0;
    }

    .menu-link {
        font-size: 1.2rem;
    }
        .menu-link:hover {
            color: #fff;
            font-weight: bold;
            text-shadow: 0 0 30px #fff;
        }
}